Show / Hide Table of Contents

# Struct AgentRetainerList

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    [Agent(AgentId.RetainerList)]
    public struct AgentRetainerList

### Fields

| Improve this Doc View Source

#### AgentInterface

##### Declaration

    public AgentInterface AgentInterface

##### Field Value

Type | Description
--- | ---
AgentInterface |

| Improve this Doc View Source

#### RetainerCount

##### Declaration

    public byte RetainerCount

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### RetainerListOpenedTime

##### Declaration

    public uint RetainerListOpenedTime

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### RetainerListSortAddonId

##### Declaration

    public uint RetainerListSortAddonId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Retainers

##### Declaration

    public AgentRetainerList.RetainerList Retainers

##### Field Value

Type | Description
--- | ---
AgentRetainerList.RetainerList |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static AgentRetainerList*Instance()

##### Returns

Type | Description
--- | ---
AgentRetainerList* |